// https://nuxt.com/docs/api/configuration/nuxt-config
export default defineNuxtConfig({
	app: {
		head: {
			meta: [
				{ charset: "utf-8" },
				{ name: "viewport", content: "width=device-width, initial-scale=1" },
				{
					name: "robots",
					content: "noindex,nofollow",
				},
			],
		},
	},
	css: ["@/assets/css/style.css"],
	modules: ["nuxt-graphql-client", "@nuxt/image"],

	image: {
		dir: "assets/images",
		domains: ["http://0.0.0.0:8055"],
		alias: { directus: "http://0.0.0.0:8055/assets/" },
		presets: {
			gift: { modifiers: { width: 200, height: 200, fit: "contain" } },
		},
	},
	postcss: {
		plugins: {
			"postcss-import-ext-glob": {},
		},
	},
	telemetry: false,
	typescript: {
		shim: false,
	},
});